<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		/* podemos declarar e inicializar celdas como variable global
		   porque celdas solo existe en la funcion inicio()
		*/
		


		function inicio(){
			let celdas=[];
			/* quiero acceder a los td */
			/* querySelector(), para la tabla por ejemplo, te devuelve el elemento*/
			/* querySelectorAll(), para los 5 td, te devuelve un array */

			celdas=document.querySelectorAll("td");
			celdas[0].innerHTML+="lo que queramos";
			celdas[1].style.backgroundColor = '#CCC';
		}

		function cambia(posicion){
			let celdas=[];
			celdas=document.querySelectorAll("td");
			celdas[posicion].style.backgroundColor = 'RED';
			celdas[posicion].style.color ='white';

		}
		

	</script>
</head>
<body onload="inicio()">
	<!-- table>tr>td*5 tab -->
	<!-- table>tr>td{$}*5 tab, $ es para incrementar-->
	<table border="1">
		<tr>
			<td onclick="cambia(0)">1</td>
			<td onclick="cambia(1)">2</td>
			<td onclick="cambia(2)">3</td>
			<td onclick="cambia(3)">4</td>
			<td onclick="cambia(4)">5</td>
		</tr>
	</table>
	
	
</body>
</html>